​
Select Service
ves-io-schema-app_setting-API-Get
Published April 5, 2023 | Last modified October 2, 2026
Examples of getting app_setting
Usecase:
Get app_setting for current namespace
Request using vesctl:
vesctl configuration get app_setting app-setting --namespace documentation
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: app-setting namespace: documentationreferringObjects: []resourceVersion: "607"spec: anomalyTypes: [] appTypeRefs: [] appTypeSettings: - appTypeRef: - kind: app_type name: bookinfo namespace: shared tenant: acmecorp timeseriesAnalysesSetting: metricSelectors: - metric: - REQUEST_RATE metricsSource: VIRTUAL_HOSTSstatus: []systemMetadata: creationTimestamp: "2026-09-28T04:24:41.566929Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: a2f0ffde-e7f0-4308-8ec0-f9235c64e8e9Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build3348201650_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/app_settings/app-setting?response_format=0'curl response:
HTTP/1.1 200 OKContent-Type: application/jsonDate: Mon, 28 Sep 2026 04:24:41 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "607", "metadata": { "name": "app-setting", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "a2f0ffde-e7f0-4308-8ec0-f9235c64e8e9", "creation_timestamp": "2026-09-28T04:24:41.566929Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "app_type_refs": [ ], "anomaly_types": [ ], "app_type_settings": [ { "app_type_ref": [ { "kind": "app_type", "uid": "", "tenant": "acmecorp", "namespace": "shared", "name": "bookinfo" } ], "timeseries_analyses_setting": { "metric_selectors": [ { "metrics_source": "VIRTUAL_HOSTS", "metric": [ "REQUEST_RATE" ] } ] }, "business_logic_markup_setting": null, "user_behavior_analysis_setting": null } ] }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}